AOZ Studio Beta - Bug #450

Some keys working differently in different browsers.
08/19/2020 01:09 AM - Brian Flanagan

Status: Feedback Start date: 08/18/2020
Priority: Low Due date:

Assignee: Brian Flanagan % Done: 0%
Category: Estimated time: 4:00 hours
Target version: 0.9.9.4-r3

Affected version: Beta RC2

Description

Apparently the Keyboard API is implemented differently in different browsers.
At least...
For Meta Left: Firefox returns OSLeft for event.code, vs. Metaleft like everyone else.

For PrtScr/SysReq: Firefox returns 44 vs. 124 for the event.which.
Both Safari and Firefox do not define the Insert key. Other browsers return event.code=Insert, event.which=45

History

#1 - 09/19/2020 09:53 AM - Brian Flanagan

- Status changed from New to Feedback

- Priority changed from Normal to Low

- Estimated time set to 4:00 h

- Affected version changed from 0.9.9.4-r2 to Beta RC2

| suppose the question is whether we should force the odd browsers to comply with the most common / logical implementation
to the user/programmer to deal with the discrepancies.
... or should we leave it
